# --
# Modified version of the work:
# Copyright (C) 2010-2024 OFORK, https://o-fork.de
# based on the original work of:
# Copyright (C) 2001-2018 OTRS AG, http://otrs.com/
# --
# This software comes with ABSOLUTELY NO WARRANTY. For details, see
# the enclosed file COPYING for license information (AGPL). If you
# did not receive this file, see http://www.gnu.org/licenses/agpl.txt.
# --

#
# WARNING: This file is autogenerated from "scripts/auto_build/spec/templates" via
# "bin/ofork.Console.pl Dev::Tools::RPMSpecGenerate". All changes will be lost.
#

Summary:      OFORK Help Desk.
Name:         ofork
Version:      0.0
Copyright:    GNU AFFERO GENERAL PUBLIC LICENSE Version 3, 19 November 2007
Group:        Applications/Mail
Provides:     ofork
Requires:     bash-completion cronie httpd perl perl(Archive::Zip) perl(Crypt::SSLeay) perl(Date::Format) perl(DateTime) perl(DBI) perl(IO::Socket::SSL) perl(LWP::UserAgent) perl(Net::DNS) perl(Net::LDAP) perl(Template) perl(URI) perl(XML::LibXML) perl(XML::LibXSLT) perl(XML::Parser) perl-core procmail
AutoReqProv:  no
Release:      01
Source0:      ofork-%{version}.tar.bz2
BuildArch:    noarch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
OFORK is an Open source Ticket Request System with many features to manage
customer telephone calls and e-mails. It is distributed under the GNU
AFFERO General Public License (AGPL) and tested on Linux, Solaris, AIX,
FreeBSD, OpenBSD and Mac OS. Do you receive many e-mails and want to
answer them with a team of agents? You're going to love OFORK!

%prep
%setup

%build
# copy config file
cp Kernel/Config.pm.dist Kernel/Config.pm
# rename config POD file
mv Kernel/Config.pod.dist Kernel/Config.pod
# copy all crontab dist files
for foo in var/cron/*.dist; do mv $foo var/cron/`basename $foo .dist`; done
# copy all .dist files
cp .procmailrc.dist .procmailrc
cp .fetchmailrc.dist .fetchmailrc
cp .mailfilter.dist .mailfilter

%install
# delete old RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
# set DESTROOT
export DESTROOT="/opt/ofork/"
# create RPM_BUILD_ROOT DESTROOT
mkdir -p $RPM_BUILD_ROOT/$DESTROOT/
# copy files
cp -R . $RPM_BUILD_ROOT/$DESTROOT
# configure apache
install -d -m 755 $RPM_BUILD_ROOT/etc/httpd/conf.d
install -m 644 scripts/apache2-httpd.include.conf $RPM_BUILD_ROOT/etc/httpd/conf.d/zzz_ofork.conf

# set permission
export OFORKUSER=ofork
useradd $OFORKUSER || :
useradd apache || :
groupadd apache || :
$RPM_BUILD_ROOT/opt/ofork/bin/ofork.SetPermissions.pl --web-group=apache

%pre
# useradd
export OFORKUSER=ofork
echo -n "Check OFORK user ... "
if id $OFORKUSER >/dev/null 2>&1; then
    echo "$OFORKUSER exists."
    # update groups
    usermod -g apache $OFORKUSER
    # update home dir
    usermod -d /opt/ofork $OFORKUSER
else
    useradd $OFORKUSER -d /opt/ofork/ -s /bin/bash -g apache -c 'OFORK System User' && echo "$OFORKUSER added."
fi


%post
export OFORKUSER=ofork
if test -e /opt/ofork/Kernel/Config/Files/ZZZAAuto.pm; then
    su $OFORKUSER -s /bin/bash -c "/opt/ofork/bin/ofork.Console.pl Maint::Config::Rebuild";
    su $OFORKUSER -s /bin/bash -c "/opt/ofork/bin/ofork.Console.pl Maint::Cache::Delete";
fi

# note
HOST=`hostname -f`
echo ""
echo "Next steps: "
echo ""
echo "[restart web server]"
echo " systemctl restart apache2.service"
echo ""
echo "[install the OFORK database]"
echo " Make sure your database server is running."
echo " Use a web browser and open this link:"
echo " http://$HOST/ofork/installer.pl"
echo ""
echo "[start OFORK daemon and corresponding watchdog cronjob]"
echo " /opt/ofork/bin/ofork.Daemon.pl start"
echo " /opt/ofork/bin/Cron.sh start"
echo ""
echo "((enjoy))"
echo " Your OFORK Team"
echo ""

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/httpd/conf.d/zzz_ofork.conf

%config(noreplace) /opt/ofork/Kernel/Config.pm
%config(noreplace) /opt/ofork/.procmailrc
%config(noreplace) /opt/ofork/.fetchmailrc
%config(noreplace) /opt/ofork/.mailfilter

%dir /opt/ofork/
/opt/ofork/RELEASE
/opt/ofork/ARCHIVE
/opt/ofork/.bash_completion
/opt/ofork/.procmailrc.dist
/opt/ofork/.fetchmailrc.dist
/opt/ofork/.mailfilter.dist

%dir /opt/ofork/Custom/
/opt/ofork/Custom/README

%dir /opt/ofork/Kernel/

%dir /opt/ofork/Kernel/Config/
/opt/ofork/Kernel/Config.pm.dist
/opt/ofork/Kernel/Config.pod
/opt/ofork/Kernel/Config/Files/
/opt/ofork/Kernel/Config/Defaults.pm

/opt/ofork/Kernel/GenericInterface*

/opt/ofork/Kernel/Language.pm
%dir /opt/ofork/Kernel/Language/
/opt/ofork/Kernel/Language/*.pm

/opt/ofork/bin*
/opt/ofork/Kernel/Autoload*
/opt/ofork/Kernel/Modules*
/opt/ofork/Kernel/Output*
/opt/ofork/Kernel/System*
/opt/ofork/scripts*

%dir /opt/ofork/var/
%dir /opt/ofork/var/article/
/opt/ofork/var/fonts/
/opt/ofork/var/httpd/
/opt/ofork/var/logo-ofork.png
%dir /opt/ofork/var/cron/
%dir /opt/ofork/var/log/
%dir /opt/ofork/var/sessions/
%dir /opt/ofork/var/spool/
/opt/ofork/var/cron/*
%dir /opt/ofork/var/tmp/
%dir /opt/ofork/var/stats/
/opt/ofork/var/stats/*.xml
%dir /opt/ofork/var/processes/examples/
/opt/ofork/var/processes/examples/*
%dir /opt/ofork/var/webservices/examples/
/opt/ofork/var/webservices/examples/*.pm

/opt/ofork/Kernel/cpan-lib*

%doc /opt/ofork/*.md
%doc /opt/ofork/COPYING
%doc /opt/ofork/COPYING-Third-Party
%doc /opt/ofork/doc*
